#!/bin/bash


URL="https://wire-app.wire.com/linux/wire_2.12.2729_amd64.deb"


# Colors
RED='\033[0;31m'
LRED="\033[1;31m"
BLUE="\033[0;34m"
LBLUE="\033[1;34m"
GREEN="\033[0;32m"
LGREEN="\033[1;32m"
YELLOW="\033[1;33m"
CYAN="\033[0;36m"
LCYAN="\033[1;36m"
PURPLE="\033[0;35m"
LPURPLE="\033[1;35m"
BWHITE="\e[1m"
NC='\033[0m' # No Color


checkDeps()
{
    if [ ! -f /usr/bin/gdebi ];then
     
     printf "${LBLUE}Downloading dependencies..${NC}\n"
     sudo apt update
     sudo apt-get -y install gdebi
     if [ ! -f /usr/bin/gdebi ];then
        printf "${LRED}gdebi could not be found, I installed it but it's not there${NC}\n"
        printf "${LRED}I normally use gdebi to install individual packages${NC}\n"
        exit 0;
     fi
    fi
}

getWire()
{
    printf "${LBLUE}Downloading wire...${NC}\n"

    wget ${URL}

    printf "${LCYAN}Installing Wire...${NC}\n"

    sudo gdebi -n wire_2.12.2729_amd64.deb
}

checkDeps
getWire